Bug 1168989 - hostname(1) manpage dangling reference
Summary: hostname(1) manpage dangling reference
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hostname
Version: 23
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-28 17:22 UTC by Jeremy Harris
Modified: 2017-07-04 01:53 UTC (History)
1 user (show)

Fixed In Version: hostname-3.15-8.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-04 01:53:19 UTC


Attachments (Terms of Use)

Description Jeremy Harris 2014-11-28 17:22:27 UTC
Description of problem:
  The hostname(1) page references yp_get_default_domain(3).
According to yum no package provides */yp_get_default_domain*

Version-Release number of selected component (if applicable):
  kernel 3.17.2-300.fc21.x86_64
  filesystem-3-2-28.fc21.x86_64
  hostname-3.15-4.fc21.x86_64

How reproducible:
  100%

Steps to Reproduce:
1. man hostname
2. man 3 yp_get_default_domain
3.

Actual results:
 "No manual entry for yp_get_default_domain in section 3"

Expected results:
 Either a real manpage, or no reference to one

Additional info:

Comment 1 Jan Kurik 2015-07-15 14:36:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Pavel Šimerda (pavlix) 2016-08-10 19:12:55 UTC
The latest version no longer has this issue. Rawhide has just been updated with 3.18.

Comment 3 Fedora End Of Life 2016-11-24 11:19:17 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2016-12-20 13:04:19 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Jeremy Harris 2016-12-20 13:11:23 UTC
Issue is still present in f25.

Comment 6 Fedora Update System 2017-06-30 09:42:45 UTC
hostname-3.15-8.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8104c0ea6

Comment 7 Fedora Update System 2017-06-30 23:23:08 UTC
hostname-3.15-8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8104c0ea6

Comment 8 Fedora Update System 2017-07-04 01:53:19 UTC
hostname-3.15-8.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.